interfaces Library: KSpeechSink Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSpeechSink Class Reference

KTTSD DCOP Signal Sink. More...

`#include <kspeechsink.h>`

Inheritance diagram for KSpeechSink:

[legend]
Collaboration diagram for KSpeechSink:

[legend]
List of all members.

## Public Types
enum | kttsdJobState { jsQueued = 0, jsSpeakable = 1, jsSpeaking = 2, jsPaused = 3, jsFinished = 4 }
enum | kttsdMarkupType { mtPlain = 0, mtJsml = 1, mtSmml = 2, mtSable = 3 }
## DCOP Member Functions
virtual ASYNC | kttsdStarted ()
virtual ASYNC | kttsdExiting ()
virtual ASYNC | markerSeen (const QCString &, const QString &)
virtual ASYNC | sentenceStarted (const QCString &, uint, uint)
virtual ASYNC | sentenceFinished (const QCString &, uint, uint)
virtual ASYNC | textSet (const QCString &, uint)
virtual ASYNC | textAppended (const QCString &, uint, int)
virtual ASYNC | textStarted (const QCString &, uint)
virtual ASYNC | textFinished (const QCString &, uint)
virtual ASYNC | textStopped (const QCString &, uint)
virtual ASYNC | textPaused (const QCString &, uint)
virtual ASYNC | textResumed (const QCString &, uint)
virtual ASYNC | textRemoved (const QCString &, uint)

## Detailed Description

KTTSD DCOP Signal Sink.

Since:
  KDE 3.4

This defines the interface to sink signals emitted by KTTSD, the KDE Text-to-speech Deamon. The DCOP IDL Compiler generates a skeleton file from this interface definition that will marshal the arguments for you.

## Usage

See the Signals section of kspeech.h for instructions.

Warning:
  The KSpeechSink interface is still being developed and is likely to change in the future.

Definition at line 42 of file kspeechsink.h.

## Member Enumeration Documentation

enum KSpeechSink::kttsdJobState

  | Job states returned by method getTextJobState. Enumeration values:
  jsQueued | Job has been queued but is not yet speakable.
  jsSpeakable | Job is speakable, but is not speaking.
  jsSpeaking | Job is currently speaking.
  jsPaused | Job has been paused.
  jsFinished | Job is finished and is deleteable.
Definition at line 50 of file kspeechsink.h.

enum KSpeechSink::kttsdMarkupType

  | Speech markup language types. Enumeration values:
  mtPlain | Plain text.
  mtJsml | Java Speech Markup Language.
  mtSmml | Speech Markup Meta-language
  mtSable | Sable 2.0.
Definition at line 63 of file kspeechsink.h.

## Member Function Documentation

virtual ASYNC KSpeechSink::kttsdStarted | ( |  | ) | `[inline, virtual]`

| This signal is emitted when KTTSD starts or restarts after a call to reinit. Definition at line 75 of file kspeechsink.h.

virtual ASYNC KSpeechSink::kttsdExiting | ( |  | ) | `[inline, virtual]`

| This signal is emitted just before KTTSD exits. Definition at line 79 of file kspeechsink.h.

virtual ASYNC KSpeechSink::markerSeen | ( | const QCString & | ,
|  | const QString & |
| ) | `[inline, virtual]`

  | This signal is emitted when the speech engine/plugin encounters a marker in the text. Parameters:
  | appId | DCOP application ID of the application that queued the text.
  | markerName | The name of the marker seen.
See also: markers Definition at line 87 of file kspeechsink.h.

virtual ASYNC KSpeechSink::sentenceStarted | ( | const QCString & | ,
|  | uint | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a sentence begins speaking. Parameters:
  | appId | DCOP application ID of the application that queued the text.
  | jobNum | Job number of the text job.
  | seq | Sequence number of the text.
See also: getTextCount Definition at line 95 of file kspeechsink.h.

virtual ASYNC KSpeechSink::sentenceFinished | ( | const QCString & | ,
|  | uint | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted when a sentence has finished speaking. Parameters:
  | appId | DCOP application ID of the application that queued the text.
  | jobNum | Job number of the text job.
  | seq | Sequence number of the text.
See also: getTextCount Definition at line 103 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textSet | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a new text job is added to the queue. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 110 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textAppended | ( | const QCString & | ,
|  | uint | ,
|  | int |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a new part is appended to a text job. Parameters:
  | appId | The DCOP senderId of the application that created the job.
  | jobNum | Job number of the text job.
  | partNum | Part number of the new part. Parts are numbered starting at 1.
Definition at line 119 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textStarted | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever speaking of a text job begins. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 126 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textFinished | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a text job is finished. The job has been marked for deletion from the queue and will be deleted when another job reaches the Finished state. (Only one job in the text queue may be in state Finished at one time.) If startText or resumeText is called before the job is deleted, it will remain in the queue for speaking. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 136 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textStopped | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a speaking text job stops speaking. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 142 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textPaused | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a speaking text job is paused. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 148 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textResumed | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted when a text job, that was previously paused, resumes speaking. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 154 of file kspeechsink.h.

virtual ASYNC KSpeechSink::textRemoved | ( | const QCString & | ,
|  | uint |
| ) | `[inline, virtual]`

  | This signal is emitted whenever a text job is deleted from the queue. The job is no longer in the queue when this signal is emitted. Parameters:
  | appId | The DCOP senderId of the application that created the job. NULL if kttsd.
  | jobNum | Job number of the text job.
Definition at line 161 of file kspeechsink.h.

The documentation for this class was generated from the following file:

- kspeechsink.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003